#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: clash-prelude
version: 0.99.3
id: clash-prelude-0.99.3-5DrB7LMbiGE9LWgDnjoZ2w
key: clash-prelude-0.99.3-5DrB7LMbiGE9LWgDnjoZ2w
license: BSD-2-Clause
copyright: Copyright © 2013-2016, University of Twente,
           2016-2017, Myrtle Software Ltd,
           2017     , QBayLogic, Google Inc.
maintainer: Christiaan Baaij <christiaan.baaij@gmail.com>
author: Christiaan Baaij
homepage: http://www.clash-lang.org/
synopsis: CAES Language for Synchronous Hardware - Prelude library
description:
    CλaSH (pronounced ‘clash’) is a functional hardware description language that
    borrows both its syntax and semantics from the functional programming language
    Haskell. The CλaSH compiler transforms these high-level descriptions to
    low-level synthesizable VHDL, Verilog, or SystemVerilog.
    .
    Features of CλaSH:
    .
    * Strongly typed, but with a very high degree of type inference, enabling both
    safe and fast prototyping using concise descriptions.
    .
    * Interactive REPL: load your designs in an interpreter and easily test all
    your component without needing to setup a test bench.
    .
    * Higher-order functions, with type inference, result in designs that are
    fully parametric by default.
    .
    * Synchronous sequential circuit design based on streams of values, called
    @Signal@s, lead to natural descriptions of feedback loops.
    .
    * Support for multiple clock domains, with type safe clock domain crossing.
    .
    .
    This package provides:
    .
    * Prelude library containing datatypes and functions for circuit design
    .
    To use the library:
    .
    * Import "Clash.Prelude"
    .
    * Alternatively, if you want to explicitly route clock and reset ports,
    for more straightforward multi-clock designs, you can import the
    "Clash.Explicit.Prelude" module. Note that you should not import
    "Clash.Prelude" and "Clash.Explicit.Prelude" at the same time as they
    have overlapping definitions.
    .
    A preliminary version of a tutorial can be found in "Clash.Tutorial", for a
    general overview of the library you should however check out "Clash.Prelude".
    Some circuit examples can be found in "Clash.Examples".
category: Hardware
abi: df4aee7a29e35e6a512a29b247120b6e
exposed: True
exposed-modules:
    Clash.Annotations.Primitive Clash.Annotations.TopEntity
    Clash.Class.BitPack Clash.Class.Num Clash.Class.Resize
    Clash.Examples Clash.Explicit.BlockRam Clash.Explicit.BlockRam.File
    Clash.Explicit.DDR Clash.Explicit.Mealy Clash.Explicit.Moore
    Clash.Explicit.Prelude Clash.Explicit.Prelude.Safe
    Clash.Explicit.RAM Clash.Explicit.ROM Clash.Explicit.ROM.File
    Clash.Explicit.Signal Clash.Explicit.Signal.Delayed
    Clash.Explicit.Synchronizer Clash.Explicit.Testbench Clash.Hidden
    Clash.Intel.ClockGen Clash.Intel.DDR Clash.NamedTypes Clash.Prelude
    Clash.Prelude.BitIndex Clash.Prelude.BitReduction
    Clash.Prelude.BlockRam Clash.Prelude.BlockRam.File
    Clash.Prelude.DataFlow Clash.Prelude.Mealy Clash.Prelude.Moore
    Clash.Prelude.RAM Clash.Prelude.ROM Clash.Prelude.ROM.File
    Clash.Prelude.Safe Clash.Prelude.Testbench Clash.Promoted.Nat
    Clash.Promoted.Nat.Literals Clash.Promoted.Nat.TH
    Clash.Promoted.Nat.Unsafe Clash.Promoted.Symbol Clash.Signal
    Clash.Signal.Bundle Clash.Signal.Delayed Clash.Signal.Internal
    Clash.Sized.BitVector Clash.Sized.Fixed Clash.Sized.Index
    Clash.Sized.Internal.BitVector Clash.Sized.Internal.Index
    Clash.Sized.Internal.Signed Clash.Sized.Internal.Unsigned
    Clash.Sized.RTree Clash.Sized.Signed Clash.Sized.Unsigned
    Clash.Sized.Vector Clash.Tutorial Clash.XException
    Clash.Xilinx.ClockGen Clash.Xilinx.DDR
hidden-modules: Clash.Class.BitPack.Internal
                Clash.Signal.Bundle.Internal
import-dirs: /usr/lib/ghc-8.4.3/site-local/clash-prelude-0.99.3
library-dirs: /usr/lib/ghc-8.4.3/site-local/clash-prelude-0.99.3
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.3/clash-prelude-0.99.3
hs-libraries: HSclash-prelude-0.99.3-5DrB7LMbiGE9LWgDnjoZ2w
depends:
    array-0.5.2.0 base-4.11.1.0 bifunctors-5.5.3-L691ZKOQgZw66AthBvxFJK
    constraints-0.10.1-CnxepiE2FptArWd3NKaotF
    data-binary-ieee754-0.4.4-GMEnBfyxjqq6rJmTySXper
    data-default-0.7.1.1-ANph70WEdAe9A1H2IGNxHn integer-gmp-1.0.2.0
    deepseq-1.4.3.0 ghc-prim-0.5.2.0
    ghc-typelits-extra-0.3-IaqSSIrNOq54uI74uCwIQX
    ghc-typelits-knownnat-0.6-CKihvf0wqbBBtqvI43Is8y
    ghc-typelits-natnormalise-0.6.2-Lxp7nkWC2J295RY7pb5pD7
    half-0.3-8WDn5a7Dg0p6eSdbssX8Ae lens-4.17-BcjA3l4qVNUJlOh1bH33NX
    QuickCheck-2.11.3-58QsvdIMmwDDNaUIIDmLAr
    reflection-2.1.4-ET4Qfoy5lmWBopRK3ezJIQ
    singletons-2.4.1-Jax1Z63yMHbDwPowRwmbxc template-haskell-2.13.0.0
    transformers-0.5.5.0 vector-0.12.0.1-1fezwShzdEfG3Hp1Pmvjkq
abi-depends: array-0.5.2.0=001d57bac323829c35f5e9edd158c1ef
             base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             bifunctors-5.5.3-L691ZKOQgZw66AthBvxFJK=dfaddaf49761f7a2f4cb233f024baeef
             constraints-0.10.1-CnxepiE2FptArWd3NKaotF=9d40baf14ebce9017d0c080721b06a80
             data-binary-ieee754-0.4.4-GMEnBfyxjqq6rJmTySXper=7311ee61f9f537e52eded25ab07ea8da
             data-default-0.7.1.1-ANph70WEdAe9A1H2IGNxHn=0b9cf97a5dc28f689e30b5244977846e
             integer-gmp-1.0.2.0=8c626fd1378207a720cb94d8f69aafa2
             deepseq-1.4.3.0=00d8faa7363cb0be9acd709ef6549e22
             ghc-prim-0.5.2.0=39dc2488936298f474639901f9105eec
             ghc-typelits-extra-0.3-IaqSSIrNOq54uI74uCwIQX=2356c6d935ef7ec59fcc6ad5dc7f2aa4
             ghc-typelits-knownnat-0.6-CKihvf0wqbBBtqvI43Is8y=86bb69e5c7323fcf867c43159ea6ab8a
             ghc-typelits-natnormalise-0.6.2-Lxp7nkWC2J295RY7pb5pD7=90c8cc6c24d99c7c01d848b7211d6276
             half-0.3-8WDn5a7Dg0p6eSdbssX8Ae=b94a3d0d3ad57d54f49749199576b10f
             lens-4.17-BcjA3l4qVNUJlOh1bH33NX=93c30636a22b8294ef0cc652f468a6c8
             QuickCheck-2.11.3-58QsvdIMmwDDNaUIIDmLAr=0b62adbb61d61aac8d449588192e831b
             reflection-2.1.4-ET4Qfoy5lmWBopRK3ezJIQ=9287f3432288cf494e6469a0d7445dde
             singletons-2.4.1-Jax1Z63yMHbDwPowRwmbxc=4432c15689352d2a0266624c6f871353
             template-haskell-2.13.0.0=1ce4a454c5861830bbdedc46baa462f3
             transformers-0.5.5.0=633c3e5ec737c360775b452ce9aa1e0b
             vector-0.12.0.1-1fezwShzdEfG3Hp1Pmvjkq=2d4c17574909e037fa0256847c747647
haddock-interfaces: /usr/share/doc/haskell-clash-prelude/html/clash-prelude.haddock
haddock-html: /usr/share/doc/haskell-clash-prelude/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

